# Create or update card limits

Create or update card transaction, daily, monthly or lifetime spend limits.

Endpoint: PATCH /spend/profiles/{profileId}/cards/{cardToken}/spend-limits
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

  - `cardToken` (string, required)
    The card token.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `transaction` (object)

  - `transaction.value` (object)
    The amount allowed per transaction.

  - `transaction.value.amount` (number)

  - `transaction.value.currency` (string)

  - `daily` (object)

  - `daily.value` (object)
    The amount allowed to be spent daily.

  - `daily.value.amount` (number)

  - `daily.value.currency` (string)

  - `monthly` (object)

  - `monthly.value` (object)
    The amount allowed to be spent monthly.

  - `monthly.value.amount` (number)

  - `monthly.value.currency` (string)

  - `lifetime` (object)

  - `lifetime.value` (object)
    The amount allowed to be spent over the lifetime of the card.

  - `lifetime.value.amount` (number)

  - `lifetime.value.currency` (string)

